Description: Bonjour à tous,

Suite aux retours des étudiants, il s'avère qu'une proposition de réponse était ambigüe. Elle pouvait être juste 
et fausse en même temps. 

Je souhaiterais savoir s'il est possible de banaliser cette proposition sans banaliser la question entière ?

Merci beaucoup par avance pour votre aide !
Bonne journée,
Flov.

History
11/22/2019 06:29 pm - Frédéric Bréal
si c'est une question simple
<pre>
\bareme{0}
</pre>
si c'est une question multiple
<pre>
\bareme{b=0,m=0}
</pre>
à écrire après votre réponse à supprimer.

11/25/2019 08:59 pm - Alexis Bienvenüe
- Tracker changed from Bug to Support

11/25/2019 08:59 pm - Alexis Bienvenüe
- Status changed from New to Feedback

11/26/2019 03:47 pm - Flo V
Bonjour,

Merci pour votre réponse rapide. Je fais peut être une erreur car cela ne semble pas avoir d'impact sur la note lorsque j'essaie d'annuler une réponse 
(j'ai essayé en appuyant simplement sur "Mark" et en recompilant le document).

Voici le code modifié d'une question multiple (j'ai jouté les commandes  \bareme{b=0,m=0}) :

<pre>
\element{question6}{

\begin{questionmult}{els}\bareme{\barQ}
Cochez la (ou les) hypothèse(s) \textbf{fausse(s)} en flexion ELS~:

 \begin{reponses}
	\mauvaise{le champ de déformation est linéaire dans la section homogénéisée réduite ~;}
	\mauvaise{les sollicitations sont calculées à partir des charges pondérées $1,00.G + 1,00.Q$~;}
	\bareme{b=0,m=0}
%	\mauvaise{la résistance en compression de l'acier peut être négligée~;}
	\mauvaise{le champ des contraintes est linéaire dans la section homogénéisée réduite ~;}
	\bonne{les matériaux ont des comportements élasto-plastiques~;}
	\bareme{b=0,m=0}
	\bonne{la résistance en compression du béton est négligée~;}
	\alafin{\mauvaise{\textit{aucune de ces réponses n'est correcte.}}}
	
 \end{reponses}
 
\end{questionmult}

}
</pre>

avec :

<pre>
\def\barQ{formula=(1-0.5*NMC-0.5*(NB-NBC)),v=0,p=0}
</pre>

Avez-vous besoin de davantage d'infos ?

Merci par avance pour votre aide,
Flov.

11/26/2019 06:43 pm - Frédéric Bréal
> Avez-vous besoin de davantage d'infos ?
Combien y a-t-il de réponses à annuler. Dans votre réponse, vous en mettez 2 et dans votre premier message vous écrivez 1.
<pre>
 \mauvaise{les sollicitations sont calculées à partir des charges pondérées $1,00.G + 1,00.Q$~;} \bareme{b=0,m=0}
 \bonne{les matériaux ont des comportements élasto-plastiques~;}\bareme{b=0,m=0}
</pre>

>  cela ne semble pas avoir d'impact
C'est normal, vous utilisez @formula@.
> Merci par avance pour votre aide,
J'utiliserais @set.XXX@ avec un test @ ? : @ mais demain au plus tôt.

11/26/2019 09:41 pm - Flo V
Heu en effet, dans ce cas il n'y a qu'une réponse. Je faisais des tests (avec une puis deux réponses annulées). Avec formula le coup du 
\bareme{b=0,=0} ne fonctionne pas. Je n'ai jamais utilisé set.XXX. J'essaierai également cette commande dans la semaine. 
Merci encore pour votre aide, c'est chouette !

11/27/2019 01:51 pm - Frédéric Bréal
Avaec votre barème, j'ai trouvé ceci comme astuce :

<pre>
\begin{questionmult}{els}\AMCnoCompleteMulti 
\bareme{default.Annulee=0, formula=(NBC==0 ? 0 : 1-0.5*(NMC - Annulee)-0.5*(NB-NBC)),v=0,p=0}
question :

 \begin{reponses}%[o]
    \mauvaise{mauvaise réponse 1;}
    \mauvaise{mauvaise réponse 2}
    \mauvaise{réponse qu'il faut annuler}\bareme{set.Annulee=1}
    \mauvaise{mauvaise réponse 3}
    \mauvaise{mauvaise réponse 4}
    \bonne{bonne réponse}
    \alafin{\mauvaise{\textit{aucune de ces réponses n'est correcte.}}}

 \end{reponses}

\end{questionmult}
</pre>

Si l'élève coche uniquement  la réponse à annuler, il faut considérer qu'il n'a pas répondu à la question comme v=0. De plus, vous mettez p=0 donc 
même s'il coche les mauvaises réponses, il n'aura pas de points négatifs. Au final, le barème reste identique mais j'enlève une mauvaise réponse si 
celle-ci est cochée.

11/27/2019 01:54 pm - Frédéric Bréal
<pre>
\begin{questionmult}{el}\AMCnoCompleteMulti 
\bareme{default.AnnuleeA=0, default.AnnuleeB=0,formula=(1-0.5*(NMC - AnnuleeA - AnnuleeB)-0.5*(NB-NBC)),v=0,p=-N}

question

 \begin{reponses}%[o]
    \mauvaise{mauvaise réponse 1;}
    \mauvaise{mauvaise réponse 2}
    \mauvaise{réponse qu'il faut annuler}\bareme{set.AnnuleeA=1}
    \mauvaise{réponse qu'il faut annuler, écrite bonne dans le fichier tex mais corrigée en mauvaise après passage de 
l'examen}\bareme{set.AnnuleeB=1}
  \bonne{bonne réponse 1}
    \bonne{bonne réponse 2}
    \alafin{\mauvaise{\textit{aucune de ces réponses n'est correcte.}}}

 \end{reponses}
</pre>
J'ai élargi au cas ou vous auriez au moins 2 bonnes réponses + 1 à annuler et une mauvaise à annuler *et* un plancher non nul. La formule est plus 
simple, il suffit d'annuler les réponses litigieuses.

11/27/2019 06:24 pm - Flo V
Ca fonctionne parfaitement, trop fort, merci beaucoup !!

11/28/2019 09:02 pm - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
